# vexata_volume – Manage volumes on Vexata VX100 storage arrays

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Create, deletes or extend volumes on a Vexata VX100 array.

## Requirements

The below requirements are needed on the host that executes this module.

- Vexata VX100 storage array with VXOS >= v3.5.0 on storage array

- vexatapi >= 0.0.1

- python >= 2.7

- VEXATA_USER and VEXATA_PASSWORD environment variables must be set if user and password arguments are not passed to the module directly.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
array string / required |  | Vexata VX100 array hostname or IPv4 Address.
name string / required |  | Volume name.
password string |  | Vexata API user password.
size string |  | Volume size in M, G, T units. M=2^20, G=2^30, T=2^40 bytes.

state
string

Choices:
- present ←
- absent

Creates/Modifies volume when present or removes when absent.

user string |  | Vexata API user with administrative privileges.

validate_certs
boolean

Choices:
- no ←
- yes

Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted.
If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Examples

    - name: Create new 2 TiB volume named foo
      vexata_volume:
        name: foo
        size: 2T
        state: present
        array: vx100_ultra.test.com
        user: admin
        password: secret

    - name: Expand volume named foo to 4 TiB
      vexata_volume:
        name: foo
        size: 4T
        state: present
        array: vx100_ultra.test.com
        user: admin
        password: secret

    - name: Delete volume named foo
      vexata_volume:
        name: foo
        state: absent
        array: vx100_ultra.test.com
        user: admin
        password: secret

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Sandeep Kasargod (@vexata)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.